org.eclipse.rdf4j

## Interface IsolationLevel

- All Superinterfaces:
    TransactionSetting
  All Known Implementing Classes:
    IsolationLevels

      public interface IsolationLevel
      extends TransactionSetting

  A Transaction Isolation Level. Default levels supported by RDF4J are provided by `IsolationLevels`, third-party triplestore implementors may choose to add additional IsolationLevel implementations if their triplestore's isolation contract is different from what is provided by default.
  Author:
    Jeen Broekstra

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME` Shared constant for the `TransactionSetting` name used for isolation levels.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default String` | `getName()` The globally unique transaction settings name.
    `IRI` | `getURI()` Deprecated. use getName() and getValue() instead.
    `default String` | `getValue()` The value for this transaction setting.
    `boolean` | `isCompatibleWith(IsolationLevel otherLevel)` Verifies if this transaction isolation level is compatible with the supplied other isolation level - that is, if this transaction isolation level offers at least the same guarantees as the other level.

- - ### Field Detail

    - #### NAME

          static final String NAME

      Shared constant for the `TransactionSetting` name used for isolation levels.

  - ### Method Detail

    - #### isCompatibleWith

          boolean isCompatibleWith(IsolationLevel otherLevel)

      Verifies if this transaction isolation level is compatible with the supplied other isolation level - that is, if this transaction isolation level offers at least the same guarantees as the other level. By definition, every transaction isolation level is compatible with itself.
      Parameters:
        `otherLevel` - an other isolation level to check compatibility against.
      Returns:
        true iff this isolation level is compatible with the supplied other isolation level, false otherwise.

    - #### getURI

          @Deprecated
          IRI getURI()

      Deprecated. use getName() and getValue() instead.
      Get a URI uniquely representing this isolation level.
      Returns:
        a URI that uniquely represents this isolation level.

    - #### getName

          default String getName()

      Description copied from interface: `TransactionSetting`
      The globally unique transaction settings name. Warning: do not use double underscore (__) in the name.
      Specified by:
        `getName` in interface `TransactionSetting`
      Returns:
        the name of this setting, typically its canonical class name

    - #### getValue

          default String getValue()

      Description copied from interface: `TransactionSetting`
      The value for this transaction setting.
      Specified by:
        `getValue` in interface `TransactionSetting`
      Returns:
        a string representation of the value

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.